AddManuallyManagedMembers
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlements.AddManuallyManagedMembers(ctx, operations.C1APIAppV1AppEntitlementsAddManuallyManagedMembersRequest{
AppEntitlementID: "<id>",
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ManuallyManagedUsersResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlements.addManuallyManagedMembers({
appId: "<id>",
appEntitlementId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/add-manual-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/add-manual-user"
payload = { "userIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userIds: ['<string>']})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/add-manual-user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bulkActionId": "<string>",
"failedUsersErrorMap": {}
}App Entitlement
Add Manually Managed Members
Add users as manually managed members of an app entitlement. These memberships are tracked directly by ConductorOne rather than synced from the app.
POST
/
api
/
v1
/
apps
/
{app_id}
/
entitlements
/
{app_entitlement_id}
/
add-manual-user
AddManuallyManagedMembers
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlements.AddManuallyManagedMembers(ctx, operations.C1APIAppV1AppEntitlementsAddManuallyManagedMembersRequest{
AppEntitlementID: "<id>",
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ManuallyManagedUsersResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlements.addManuallyManagedMembers({
appId: "<id>",
appEntitlementId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the app that contains the entitlement.
The ID of the app entitlement to add manually managed members to.
Body
application/json
The AddManuallyManagedUsersRequest message.
The IDs of users to add as manually managed members.
Response
200 - application/json
Successful response
Was this page helpful?
⌘I